<?php
/**
 * This file is part of webman.
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the MIT-LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @author    walkor<walkor@workerman.net>
 * @copyright walkor<walkor@workerman.net>
 * @link      http://www.workerman.net/
 * @license   http://www.opensource.org/licenses/mit-license.php MIT License
 */

use app\controller\IndexController;
use app\controller\GoogleAdsController;
use Webman\Route;


//Route::group('/googleads', function () {
//    Route::group('/campaign', function () {
//        Route::post('/create', 'GoogleAdsController@createCampaign');
//    });
//    Route::group('/campaign_budget', function () {
//        Route::post('/create', 'GoogleAdsController@createCampaignBudget');
//    });
//});

Route::group('/googleads', function () {
    Route::group('/campaign', function () {
        Route::post('/create', [GoogleAdsController::class, 'createCampaign']);
    });
    Route::group('/campaign', function () {
        Route::post('/list', [GoogleAdsController::class, 'listCampaigns']);
    });
    Route::group('/campaign', function () {
        Route::post('/update', [GoogleAdsController::class, 'updateCampaign']);
    });
    Route::group('/campaign', function () {
        Route::post('/delete', [GoogleAdsController::class, 'deleteCampaign']);
    });
    Route::group('/campaign_budget', function () {
        Route::post('/create', [GoogleAdsController::class, 'createCampaignBudget']);
    });
    Route::group('/group', function () {
        Route::post('/create', [GoogleAdsController::class, 'createGroup']);
    });
    Route::group('/group', function () {
        Route::post('/update', [GoogleAdsController::class, 'updateGroup']);
    });
    Route::group('/ad', function () {
        Route::post('/update', [GoogleAdsController::class, 'updateAd']);
        Route::group('/responsive_search', function () {
            Route::post('/list', [GoogleAdsController::class, 'listResponsiveSearchAds']);
            Route::post('/update', [GoogleAdsController::class, 'updateResponsiveSearchAd']);
        });
        Route::group('/fields', function () {
            Route::post('/list', [GoogleAdsController::class, 'listGoogleAdsFields']);
        });
    });

    Route::group('/account_link', function () {
        Route::post('/create', [GoogleAdsController::class, 'createLinkManagerToClient']);
    });
    Route::group('/account_link', function () {
        Route::post('/list', [GoogleAdsController::class, 'accessibleCustomers']);
    });
});









